Bug 439929 - PackageKit tells lies about transactions being successful
PackageKit tells lies about transactions being successful
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 20:35 EDT by Jesse Keating
Modified: 2013-01-09 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 05:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of package kit lies (852.30 KB, image/png)
2008-03-31 20:35 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2008-03-31 20:35:46 EDT
A number of times I've had transaction errors that PK ignored and said my
transaction was successful.  I've finally taken a screenshot of one of these times.

Attaching to blocker as PK is our default tool, this kind of thing shouldn't happen.
Comment 1 Jesse Keating 2008-03-31 20:35:46 EDT
Created attachment 299797 [details]
screenshot of package kit lies
Comment 2 Richard Hughes 2008-04-01 06:26:52 EDT
I *think* I've already fixed this in git - could you try the packages here
http://people.freedesktop.org/~hughsient/fedora/9/i386/ and verify? Thanks.
Comment 3 Jesse Keating 2008-04-03 14:21:57 EDT
I won't be able to reproduce this until a broken package shows up again.  I'm
going to mark this as modified and drop it from the tracker.  Richard, will we
be getting another PK build before F9 goes GOLD?
Comment 4 Richard Hughes 2008-04-04 02:55:32 EDT
Yup, I'll hopefully be releasing another before this evening.

Richard.

Note You need to log in before you can comment on or make changes to this bug.